# Generated by Django 3.1.13 on 2022-03-25 00:03

from django.db import migrations, models
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='MissionConfig',
            fields=[
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False, unique=True)),
                ('mission_name', models.CharField(max_length=250, unique=True)),
                ('plateau_size_x', models.PositiveIntegerField()),
                ('plateau_size_y', models.PositiveIntegerField()),
                ('rovers_number', models.PositiveIntegerField()),
            ],
            options={
                'verbose_name': 'Mission Config',
                'verbose_name_plural': 'Missions Config',
            },
        ),
    ]
